nodes / capabilities
6 operations.
GET /nodes/{node}/capabilities
ts
proxmox.nodes.$(node).capabilities.$get()Node capabilities index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/capabilities/qemu
ts
proxmox.nodes.$(node).capabilities.qemu.$get()QEMU capabilities index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/capabilities/qemu/cpu
ts
proxmox.nodes.$(node).capabilities.qemu.cpu.$get()List all custom and default CPU models.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
arch | x86_64 | aarch64 | Virtual processor architecture. Defaults to the host architecture. | |
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/capabilities/qemu/cpu-flags
ts
proxmox.nodes.$(node).capabilities.qemu["cpu-flags"].$get()List of available VM-specific CPU flags. Returns an empty list for 'aarch64' as no VM-specific flags are defined for it yet.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
accel | kvm | tcg | Acceleration type to check node compatibility for. — default "kvm" | |
arch | x86_64 | aarch64 | Virtual processor architecture. Defaults to the host architecture. | |
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/capabilities/qemu/machines
ts
proxmox.nodes.$(node).capabilities.qemu.machines.$get()Get available QEMU/KVM machine types.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
arch | x86_64 | aarch64 | Virtual processor architecture. Defaults to the host architecture. | |
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/capabilities/qemu/migration
ts
proxmox.nodes.$(node).capabilities.qemu.migration.$get()Get node-specific QEMU migration capabilities of the node. Requires the 'Sys.Audit' permission on '/nodes/<node>'.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |